<?php
# ---------------------------------------------------------------------
# truc is a tool for requirement and use case tracking
# Copyright (C) 2006 ASDIS - http://sf.net/projects/truc
#
# (rth) Initial truc version based on rth
#       Copyright (C) 2005 George Holbrook - rth@lists.sourceforge.net
#
# This program is distributed under the terms and conditions of the GPL
# See the README and LICENSE files for details
#----------------------------------------------------------------------

include"./api/include_api.php";
auth_authenticate_user();

$project_id	= session_get_project_id();

$redirect_page		= 'project_manage_reqfunctionality_page.php';
$proj_properties	= session_get_properties("project_manage");

session_validate_form_set($_POST, $redirect_page);

if( project_reqfunctionality_exists( $proj_properties['project_id'], session_validate_form_get_field('req_functionality_required') )) {
	
	error_report_show($redirect_page	, DUPLICATE_REQUIREMENT_FUNCTIONALITY);
	
}


project_add_req_functionality(	$proj_properties['project_id'],
								session_validate_form_get_field('req_functionality_required') );

session_validate_form_reset();

html_print_operation_successful( "add_req_functionality_page", $redirect_page );
?>